### Property

# Gio DBusProxy:g-default-timeout

since: 2.26

#### Declaration

    property g-default-timeout: int [ read, write, construct ]

#### Description [src]

The timeout to use if -1 (specifying default timeout) is passed as `timeout_msec` in the `g_dbus_proxy_call()` and `g_dbus_proxy_call_sync()` functions.

This allows applications to set a proxy-wide timeout for all remote method invocations on the proxy. If this property is -1, the default timeout (typically 25 seconds) is used. If set to `G_MAXINT`, then no timeout is used.

Type:`gint`

Available since: 2.26

Default value | -1

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no